%define privoxyconf %{_sysconfdir}/%{name}
%define privoxy_uid 211
%define privoxy_gid 211

Distribution: CCux-Linux
Packager:     Karsten Brockmann <arcam@ccux-linux.com>

Name:         privoxy
Summary:      Privoxy - privacy enhancing proxy
Version:      3.0.6
Release:      1
License:      GPL
URL:          http://www.privoxy.org/
Group:        Networking/Other

Source0:      http://dl.sf.net/ijbswa/%{name}/%{name}-%{version}-stable-src.tar.gz
Patch0:       privoxy-init.patch
#Patch1:       privoxy-3.0.6-stripchangelog.patch
#Patch2:       privoxy-3.0.6-dynamic-pcre.patch
#Patch3:       privoxy-3.0.6-kill.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
PreReq:       chkconfig
BuildRequires: libtool 
BuildRequires: autoconf 
BuildRequires: pcre-devel
BuildRequires: glibc-devel

%description 
Privoxy is a web proxy with advanced filtering capabilities for
protecting privacy, filtering web page content, managing cookies,
controlling access, and removing ads, banners, pop-ups and other
obnoxious Internet junk. Privoxy has a very flexible configuration and
can be customized to suit individual needs and tastes. Privoxy has application
for both stand-alone systems and multi-user networks.

Privoxy is based on the Internet Junkbuster.

%pre
# Add user/group on install
if [ $1 -eq "1" ]; then
    /usr/sbin/groupadd -g %{privoxy_gid} %{name} > /dev/null 2>&1 ||:
    /usr/sbin/useradd -u %{privoxy_uid} -g %{privoxy_gid} -d %{privoxyconf} -s "/sbin/nologin" %{name} > /dev/null 2>&1 ||:
fi


%post
# Add privoxy to init
if [ "$1" -eq "1" ]; then
    /sbin/chkconfig --add %{name}
    /sbin/chkconfig %{name} on
fi

%preun
# Remove privoxy from init
if [ "$1" -eq "0" ]; then
    /etc/rc.d/init.d/%{name} stop > /dev/null 2>&1 ||:
    /sbin/chkconfig --del %{name}
fi

%postun
# Restart service if already running on upgrade
if [ "$1" -gt "1" ]; then
        /etc/rc.d/init.d/%{name} condrestart > /dev/null 2>&1 ||:
fi

%prep
%setup -q -n %{name}-%{version}-stable
%patch0 -p1

%build
rm -rf autom4te.cache
autoreconf
# lets test how it works with dynamic pcre:
#configure --disable-dynamic-pcre
./configure     --prefix=%_prefix \
                --sysconfdir=%_sysconfdir \
                --mandir=%_mandir \
                --localstatedir=%_localstatedir
make 


%install
/bin/rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir} \
         %{buildroot}%{_mandir}/man1 \
         %{buildroot}%{_localstatedir}/log/%{name} \
         %{buildroot}%{privoxyconf}/templates \
         %{buildroot}%{_sysconfdir}/logrotate.d \
         %{buildroot}%{_sysconfdir}/rc.d/init.d 

install -p -m 744 %{name} %{buildroot}%{_sbindir}/%{name}
install -p -m 644 {config,*.action,default.filter,trust} %{buildroot}%{privoxyconf}/
install -p -m 644 templates/* %{buildroot}%{privoxyconf}/templates
install -p -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -p -m 644 %{name}.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -p -m 755 %{name}.init %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
install -p -m 711 -d %{buildroot}%{_localstatedir}/log/%{name}

# Customize the configuration file
sed -i -e 's@^confdir.*@confdir %{privoxyconf}@g' %{buildroot}%{privoxyconf}/config
sed -i -e 's@^logdir.*@logdir %{_localstatedir}/log/%{name}@g' %{buildroot}%{privoxyconf}/config


%clean
/bin/rm -rf %{buildroot}

%files
# these files need to be owned by privoxy
%defattr(-,%{name},%{name},-)
%dir %{_localstatedir}/log/%{name}
%attr(0744,%{name},%{name})%{_sbindir}/%{name}
%config(noreplace) %{privoxyconf}

# these files need to be owned by root
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}
%{_mandir}/man1/%{name}.*

%changelog
* Tue May 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.0.6-1
- Initial package release
